
package de.ivu.elect.presentation.gruppe.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.gruppe.menu.GruppePageMenu;

public class GruppeExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getExportSearchViewId() {
    return GruppeExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.GRUPPE_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.GRUPPE_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return GruppePageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
